javax.batch.api.partition

## Interface PartitionMapper

    public interface PartitionMapper

PartitionMapper receives control at the start of a partitioned execution. A PartitionMapper is responsible to provide unique batch properties for each partition.

### Method Summary

Methods
`PartitionPlan` `mapPartitions()` The mapPartitions method that receives control at the start of partitioned step processing.

### Method Detail

#### mapPartitions

    PartitionPlan mapPartitions()
                                throws Exception

The mapPartitions method that receives control at the start of partitioned step processing. The method returns a PartitionPlan, which specifies the batch properties for each partition.

Returns:
  partition plan for a partitioned step.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0